## maemoblocks 1.3.55-0

=== debian/changelog ===
maemoblocks (1.3.55-0) unstable; urgency=low

  * Fixes: NB#50279 fix warnings and code improvements for maemoblocks

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 15 Jan 2007 9:45:58 +0200

maemoblocks (1.3.52-0) unstable; urgency=low

  * Fixes: NB#50189 Game over info banner is displayed differently when played with h/w keys & with stylus.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 9:45:58 +0200

maemoblocks (1.3.51-0) unstable; urgency=low

  * Fixes: NB#48446 Unusual behaviour observed in scoring

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 21 Dec 2006 9:45:58 +0200

maemoblocks (1.3.49-0) unstable; urgency=low

  * Fixes: NB#48119 Block - Game settings not applied when starting next game - TRUE

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 9:45:58 +0200

maemoblocks (1.3.41-1) unstable; urgency=low

  * Fixes: NB#43553

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 18 Oct 2006 9:45:58 +0200

maemoblocks (1.3.41-0) unstable; urgency=low

  * Fixes: NB#41998

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 02 Oct 2006 9:45:58 +0200

maemoblocks (1.3.40-2) unstable; urgency=low

  * Fixes: NB#42076 Unable to play Blocks.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 02 Oct 2006 9:45:58 +0200

maemoblocks (1.3.40-1) unstable; urgency=low

  * Fixes: NB#41016 Thumbview of  su-menu of games does not contain second line
  * Fixes: NB#36288 No icon is displayed in TN, after minimize Blocks application

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 02 Oct 2006 9:45:58 +0200

maemoblocks (1.3.39-0) unstable; urgency=low

  * Fixes: NB#39391 

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 11 Sep 2006 9:45:58 +0200

maemoblocks (1.3.37-0) unstable; urgency=low

  * Fixes: NB#38643 Unable to pause blocks game by menu hardkey
  * Fixes: NB#38964 Blocks have some extra lines when regional setting is changed
  * Fixes: NB#39597 Games - Blocks - The game ends, informational text doesn't fit. nl-NL

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 11 Sep 2006 9:45:58 +0200

maemoblocks (1.3.36-0) unstable; urgency=low

  * Fixes: NB#38230 Display title "Unnamed" when continue game from paused state.
  * Fixes: NB#39037 Blocks title chnages to  <unnamed> for a moment

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 28 Aug 2006 9:45:58 +0200

maemoblocks (1.3.35-0) unstable; urgency=low

  * Added: Removed unneeded scripts
  * Fixes: NB#33671 Meamo blocks icon is not as per spec.
  * Fixes: NB#38194 Maemo block icon on the task navigator will take the previously opened application icon.
  * Fixes: NB#38658 Blocks application icon is missing in the minimised application list.
  * Fixes: NB#35742 Blocks icon is not displayed in task navigator as menu item
  * Fixes: NB#36288 No icon is displayed in TN, after minimize Blocks application
  * Fixes: NB#36289 Minimize blocks ,shows PDF reader's icon in TN.
  * Fixes: NB#36896 Icon on the task switcher area is getting duplicated on launching Blocks application
  
 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 28 Aug 2006 9:45:58 +0200

maemoblocks (1.3.33-1) unstable; urgency=low

  * Added: Localization of the package
  * Fixes: NB#33671 Meamo blocks icon is not as per spec.
  * Fixes: NB#34253 game ui isn't italian
  * Fixes: NB#34354 end game screen says "loose" instead of "lose" or "lost"
  * Fixes: NB#34255 end game screen says "press to restart" but pressing doesn't work
  * Fixes: NB#34351 Application Crash by tapping restart and  close button.
  * Fixes: NB#35742 Blocks icon is not displayed in task navigator as menu item
  * Fixes: NB#35938 dialog box has poor english
  * Fixes: NB#36288 No icon is displayed in TN, after minimize Blocks application
  * Fixes: NB#36289 Minimize blocks ,shows PDF reader's icon in TN.
  * Fixes: NB#36691 Block; Unable to resume Blocks game after it was tumbed into TaskNavigator.
  * Fixes: NB#36871 Maemo Blocks; Variant Specific; The game does not show up translated when playing
  * Fixes: NB#36963 Info banner does not appear for 'Maemo Blocks' game
  * Fixes: NB#33537 Help option is missing from menu.
  * Fixes: NB#34350 Application is not closing when restart operation in progress..
  * Fixes: NB#36019 Blocks opens in full screen mode even after closing it
  * Fixes: NB#36669 Block; Functional; Some components ends befind  right side.
  * Fixes: NB#37314 Unable to navigate to 'Starting density' drop down menu through rocker keys in Blocks

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 14 Aug 2006 9:45:58 +0200

maemoblocks (1.3.30-3) unstable; urgency=low

  * Fixes: NB#36896 Icon on the task switcher area is getting duplicated on launching Blocks application

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 4 Aug 2006 9:45:58 +0200

maemoblocks (1.3.30-2) unstable; urgency=low

  * Added: New dependecies

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 26 Jul 2006 10:45:58 +0200
 

maemoblocks (1.3.30-1) unstable; urgency=low

  * Added: New release

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 26 Jul 2006 9:45:58 +0200

maemoblocks (1.3.30-0) unstable; urgency=low

  * Fixes: NB#33354 Change block speed in paused state dose not active in play mode.
  * Fixes: NB#33356 Choice list of block speed remains open in main screen view.
  * Fixes: NB#33674 Info is not displays when user  change deficalty level in paused state.
  * Fixes: NB#33949 Title area displays Maemo Blocks instead of Blocks
  * Fixes: NB#33972 maemoblocks is listed by the Application manager but can not be removed
  * Fixes: NB#34476 Values displayed  in difficulty level conflicts with the actual value in blocks game
  * Fixes: NB#35470 Logical string game_nc_start_game shown in Maemo Blocks when pressing fullscreen-hardkey
  * Fixes: NB#33360 User can able to open more than one instance of Blocks.
  * Fixes: NB#35011 'Blocks Loading' banner is not displayed while loading Blocks
  * Fixes: NB#35471 Games, Blocks, missing info banner "game_ap_blocks_name - ckct_ib_application_loading"

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 24 Jul 2006 9:45:58 +0200


