## maemoblocks 1.4.40-0

=== debian/changelog ===
maemoblocks (1.4.40-0) unstable; urgency=low

  * Fixes: NB#70785 Blocks: Tapping blocks too insensitive, impossible to play - TRUE

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 25 Sep 2007 11:17:54 +0300

maemoblocks (1.4.38-0) unstable; urgency=low

  * cleanup 
  * Add Ctrl+Q signal handler

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 17 Sep 2007 13:03:28 +0300

maemoblocks (1.4.36-0) unstable; urgency=low

  * Fixes: NB#66986 Changed settings in paused state, not applied on starting new game,after continue.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 28 Aug 2007 17:57:18 +0300

maemoblocks (1.4.35-0) unstable; urgency=low

  * Fixes: NB#65707 "Game paused" displayed in main menu even if "Game over"

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 23 Aug 2007 10:04:37 +0300

maemoblocks (1.4.34-0) unstable; urgency=low

  * control/rules modified to create appropriate dbg debian package

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 15 Aug 2007 12:00:00 +0300

maemoblocks (1.4.29-0) unstable; urgency=low

  * Fixes: NB#58279 Game start-up screen is not displaying in device power down mode

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  9 Jul 2007 17:20:22 +0300

maemoblocks (1.4.28-0) unstable; urgency=low

  * Rotate blocks by tap
  * plugin is now compiled using -fPIC

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  9 Jul 2007 17:15:18 +0300

maemoblocks (1.4.27-0) unstable; urgency=low

  * Fixes: NB#52131 Score not preserved when entering to and from paused state.
  * Fixes: NB#56352 Changing the level doesnot come into effect

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 27 Jun 2007 17:05:02 +0300

maemoblocks (1.4.26-0) unstable; urgency=low

  * Fixes: NB#57847 The levels in the Blocks  game are not clearly visible.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 21 Jun 2007 14:42:37 +0200

maemoblocks (1.4.25-0) unstable; urgency=low

  * Fixes: NB#54857 Paused and closed game can be continued in a new game
  * build-dep conflicts resolved

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 15 Jun 2007 13:43:55 +0300

maemoblocks (1.4.24-2) unstable; urgency=low

  * build-deps corrected

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 14 Jun 2007 13:12:06 +0300

maemoblocks (1.4.24-1) unstable; urgency=low

  * debian/rules set +x

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 14 Jun 2007 11:54:01 +0300

maemoblocks (1.4.24-0) unstable; urgency=low

  * libhildonhelp consolidation

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 13 Jun 2007 16:48:46 +0300

maemoblocks (1.4.12-0) unstable; urgency=low

  * First 1.1 release
  
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 12 Mar 2007 12:50:46 +0300
