=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,23 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBDIR = ..
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+CFLAGS = -Wall -g
 
-CFLAGS = -Wall -g
+ifneq (,$(findstring logdebug,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -DOSSOLOG_COMPILE -DOSSOLOG_STDOUT -DDEBUG
+else
+    CFLAGS += -DG_DEBUG_DISABLE=1
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -30,6 +34,7 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
 	LAUNCHER = yes
 #	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
@@ -60,8 +65,6 @@
 	  MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
 	  MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
 
-	#/usr/bin/docbook-to-man debian/osso-chess-ui.sgml > osso-chess-ui.1
-
 	touch build-stamp
 
 clean:
@@ -91,13 +94,10 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	
 ifeq "$(strip $(LAUNCHER))" "yes"
-	#ln -s /usr/bin/osso_games_startup.launch \
-	#	   $(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup.launch; \
-	#	rm $(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup.sh; \
-	#	sed -e 's/osso_games_startup --name maemoblocks/maemoblocks_startup/' < $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service > $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service.new; \
-	#	mv $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service.new $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service; \
-	#	ln -s /usr/bin/maemo-invoker \
-	#		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup; 
+	ln -s /usr/bin/osso_games_startup.launch \
+		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup.launch; \
+	ln -s /usr/bin/maemo-invoker \
+		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup;     	
 endif
 
 
@@ -111,30 +111,17 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_installexamples
 	dh_install -v --sourcedir=debian/tmp
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=maemoblocks
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb --destdir=$(DEBDIR)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
