## maemoblocks 1.5.16-0

=== debian/changelog ===
maemoblocks (1.5.16-0) unstable; urgency=low

  * Fixes: NB#83064 Blocks: Only the first letters of words are displayed.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 14 Apr 2008 10:05:12 +0200

maemoblocks (1.5.15-0) unstable; urgency=low

  * Fixes: NB#83454 Blocks restarted with undesired block speed level

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 04 Apr 2008 17:02:06 +0100

maemoblocks (1.5.14-0) unstable; urgency=low

  * Fixes: NB#83028 pressing of ctrl+q is taking marbles to start up screen

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 28 Mar 2008 17:02:06 +0100

maemoblocks (1.5.12-0) unstable; urgency=low

  * Fixes: NB#78876 Starting Density does not effect the game settings during
    some levels.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 10 Mar 2008 17:02:06 +0100

maemoblocks (1.5.09-0) unstable; urgency=low

  * Fixes: NB#79775 Device hangs if blocks game is selected while playing the blocks game in the background

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 22 Feb 2008 15:50:07 +0100

maemoblocks (1.4.49-0) unstable; urgency=low

  * Fixes: NB#77205 after sleep mode blocks is not coming to start up screen in certain scenario

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 29 Nov 2007 17:12:44 +0200
