## maemoblocks 1.6.36-1+0m5

=== debian/changelog ===
maemoblocks (1.6.36-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Hunalli Mallikarjun Channappa <mallikarjun.hunalli@nokia.com>  Fri, 04 Sep 2009 09:00:25 +0300

maemoblocks (1.6.36-1) unstable; urgency=low

  * Fixes: NB#133895 [S3 proposal] "Exit to menu"  text is not fit in to the
    button

 -- Maske Amish <amish.maske@nokia.com>  Thu, 03 Sep 2009 13:00:00 +0530

maemoblocks (1.6.34-3) unstable; urgency=low

  * Fixes: NB#127283 <coverity> defects from maemo blocks

 -- Maske Amish <amish.maske@nokia.com>  Sat, 22 Aug 2009 16:00:00 +0530

maemoblocks (1.6.34-2) unstable; urgency=low

  * Fixes: NB#133806 change games startup screen layout

 -- Maske Amish <amish.maske@nokia.com>  Wed, 19 Aug 2009 16:00:00 +0530

maemoblocks (1.6.34-1) unstable; urgency=low

  * Fixes: NB#133669 [S3 Proposal] Rotate Block UI by 180 degress so that when
    a call comes, user need not rotate the phone

 -- Maske Amish <amish.maske@nokia.com>  Tue, 18 Aug 2009 16:00:00 +0530

maemoblocks (1.6.27-1) unstable; urgency=low

  * Fixes: NB#125114 Change the Density range as 0 to 9 instead of 0 to 10

 -- Maske Amish <amish.maske@nokia.com>  Mon, 29 Jun 2009 17:00:00 +0530

maemoblocks (1.6.24-1) unstable; urgency=low

  * Fixes: NB#117847 Two thumbnails of same instance are shown in switcher
    view.

 -- Maske Amish <amish.maske@nokia.com>  Tue, 09 Jun 2009 16:00:00 +0530

maemoblocks (1.6.20-1) unstable; urgency=low

  * Fixes: NB#98963 Starting density as per UI spec should have values 0-10
    but 0-9 is displayed.

 -- Maske Amish <amish.maske@nokia.com>  Thu, 14 May 2009 16:00:00 +0530

maemoblocks (1.6.15-1) unstable; urgency=low

  * Added code for a new callback from games startup

 -- Maske Amish <amish.maske@nokia.com>  Mon, 06 Apr 2009 15:00:00 +0530

maemoblocks (1.6.12-2) unstable; urgency=low

  * Fixes: NB#106021 In Blocks, the game goes to paused state only after
    pressing Flicker key for second time

 -- Maske Amish <amish.maske@nokia.com>  Mon, 16 Mar 2009 22:00:00 +0530

maemoblocks (1.6.12-1) unstable; urgency=low

  * Fixes: NB#104224 Chess and Mahjong games are not pausing after selecting
    flicker hard key

 -- Maske Amish <amish.maske@nokia.com>  Sat, 14 Mar 2009 18:00:00 +0530

maemoblocks (1.6.11-3) unstable; urgency=low

  * removed libhildonhelp-dev package dependency
  * removed libhildonhelp-dev package from configure file

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 14:00:00 +0530

maemoblocks (1.6.11-2) unstable; urgency=low

  * removed libhildonhelp-dev package dependency

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 12:00:00 +0530

maemoblocks (1.6.11-1) unstable; urgency=low

  * Fixes: NB#100799 Help option is available in Mahjong,Marbles,Chess and
    Blocks games

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Tue, 03 Mar 2009 17:00:00 +0530

maemoblocks (1.6.08-2) unstable; urgency=low

  * Fixes: NB#101065 strange executable in maemoblocks.desktop

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 13 Feb 2009 11:00:00 +0530

maemoblocks (1.6.08-1) unstable; urgency=low

  * Fixes: NB#98857 All games .desktop files need to be updated

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 13 Feb 2009 09:00:00 +0530

maemoblocks (1.6.04-1) unstable; urgency=low

  * changed rules file to include maemo-invoker with application

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Mon, 19 Jan 2009 18:00:00 +0530

maemoblocks (1.5.51-2) unstable; urgency=low

  * Changed application name in .desktop file
  * Fixes: NB#89876 Blocks is not opening, it is crashing after launching from
    task navigator

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Thu, 11 Dec 2008 20:50:00 +0530

maemoblocks (1.5.51-1) unstable; urgency=low

  * Changed maemo-launcher flag and changed icon logical names

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Mon, 8 Dec 2008 14:00:00 +0530

maemoblocks (1.5.42-1) unstable; urgency=low

  * Corrected installation path for .so file as per the debain rules

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Sun, 12 Oct 2008 22:30:00 +0530

maemoblocks (1.5.40-1) unstable; urgency=low

  * Removed ESD dependency from the control file

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 26 Sep 2008 17:30:00 +0530

maemoblocks (1.5.37-0) unstable; urgency=low

  * Code compiled on fremantle SDK

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 5 Sep 2008 14:00:00 +0530
