=== debian/control ===
Source: maemoblocks
Section: games
Priority: optional
Maintainer: Maske Amish <amish.maske@nokia.com>
Build-Depends: intltool, libhildon1-dev,libtiff4-dev, libsdl-image1.2-dev, libsdl1.2-dev, osso-games-startup-dev, debhelper (>= 4.0.0), dbus (>= 0.22), libdbus-glib-1-2 (>= 0.22), libatk1.0-0 (>= 1.6.0), libatk1.0-dev (>= 1.6.0), libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libpango1.0-0 (>= 1.6.0), libpango1.0-dev (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev (>= 0.22), libdbus-glib-1-dev (>= 0.22), libosso-dev, libgconf2-dev, libosso-gnomevfs2-dev, hildon-games-wrapper-dev
Standards-Version: 3.6.0

Package: maemoblocks
Architecture: any
Depends: osso-games-startup, eff-content-fonts, osso-games-l10n-mr | osso-games-l10n-mr0, , ${shlibs:Depends} 
Description: Maemo Blocks game

Package: maemoblocks-dbg
Architecture: any
Section: devel
Depends: maemoblocks ( = ${Source-Version})
Description: maemoblocks debug symbols
 Debug symbols for maemoblocks
