=== debian/rules ===
--- 
+++ 
@@ -35,11 +35,11 @@
 	INSTALL_PROGRAM += -s
 endif
 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
 	LAUNCHER = yes
-#	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
-#	LAUNCHER_CFLAGS = -shared
-#	LAUNCHER_LDFLAGS = -shared
+	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
+	LAUNCHER_CFLAGS = -shared
+	LAUNCHER_LDFLAGS = -shared
 endif
 
 
@@ -98,6 +98,9 @@
 		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup.launch; \
 	ln -s /usr/bin/maemo-invoker \
 		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup;     	
+else
+	ln -s /usr/bin/osso_games_startup \
+		$(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup; 
 endif
